# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup
}

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-subprocess32
Version:        3.2.7
Release:        1%{?dist}.3
Summary:        Backport of subprocess module from Python 3.2 to Python 2.*

License:        Python
URL:            http://pypi.python.org/pypi/subprocess32/
Source0:        http://python-subprocess32.googlecode.com/files/subprocess32-%{version}.tar.gz
Patch1:         subprocess32-3.2.7-restore_all_signals.patch
Patch2:         subprocess32-3.2.7-chroot.patch

ExclusiveArch:  x86_64
BuildRequires:  python2-devel
BuildRequires:  python-test

%description
Backport of the subprocess module from Python 3.2 for use on 2.x.


%prep
%setup -q -n subprocess32-%{version}
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%check
PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitearch} %{__python} test_subprocess32.py


%files
%doc LICENSE README.md
%{python_sitearch}/_posixsubprocess.so
%{python_sitearch}/subprocess32*.egg-info
%{python_sitearch}/subprocess32.py*


%changelog
* Fri Dec  8 2017 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.7-1.3
- Call chroot() after chdir: restore original behaviour

* Thu Nov 30 2017 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.7-1.2
- Added restore_all_signals and chroot_path Popen options to avoid
  most of anaconda PyOS_AfterFork() calls, see #PSBM-76668

* Fri Nov 24 2017 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.7-1.1
- Updated to 3.2.7, see #PSBM-77471

* Thu Nov 16 2017 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.6-5.3
- Temporary drop python thread lock around fork(), see #PSBM-77274

* Thu Nov  9 2017 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.6-5.2
- Use python keylock around fork(), see #PSBM-76927

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.6-5.1
- Rebuild in 7.3 environment

* Wed May 11 2016 Konstantin Volkov <wolf@virtuozzo.com> - 3.2.6-5
- Build only x86_64 arch

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul  4 2014 Peter Robinson <pbrobinson@fedoraproject.org> 3.2.6-1
- Update to 3.2.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug  7 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 3.2.5-0.1.rc1
- Update to new upstream release candidate
- Fix build failure on rawhide

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 David Malcolm <dmalcolm@redhat.com> - 3.2.3-1
- initial package

